## abiword-2.3.4.tar.bz2

=== abi/src/Makefile ===
#! gmake

## AbiSource Applications
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/..

include $(ABI_ROOT)/src/config/abi_defs.mk

DIRS=		config tools other af text wp 
REQUIRECLEAN=
REQUIREREALCLEAN=		clean_ABI_ clean_ZLIB_ clean_LIBPNG_ clean_LIBWV_ clean_LIBICONV_ clean_POPT_

ifeq ($(ABI_OPT_PEER_EXPAT),1)
REQUIRECLEAN+= clean_EXPAT_
REQUIREREALCLEAN+= realclean_EXPAT_
endif


include $(ABI_ROOT)/src/config/abi_rules.mk

##################################################################
## Targets for cleaning up

abiclean::
	rm -f $(OBJDIR)/*.*

clean:: $(REQUIRECLEAN)
	rm -rf $(OBJDIR)

realclean:: $(REQUIREREALCLEAN)

##################################################################
## Build system library files (strings, dictionaries, example
## documents, default system profile, etc) in a canonical, 
## non-installed layout.

## Set the following to a list of pathnames to be copied to $(CANONDIR)
CANON_TOPLEVELFILES=	$(ABI_ROOT)/COPYING $(ABI_ROOT)/user/wp/readme.txt

## Set the following to a list of directories (probably a subset of DIRS)
## that have work to do.
CANON_SubDirs=		wp

canonical:
	@$(subst xxxx,$(CANONDIR),$(VERIFY_DIRECTORY))
	@for k in $(CANON_TOPLEVELFILES); do			\
		$(ABICOPY) $$k $(CANONDIR);			\
	done
	@for k in $(CANON_SubDirs); do				\
		$(MAKE) ABI_ROOT=$(ABI_ROOT) -C $$k canonical;	\
	done

# each installer requires abidistfiles for necessary but fairly constant files, 
# so we check for those here (TODO : move check somewhere else?)
	@if [ -d $(ABI_ROOT)/../abidistfiles ]; then		\
		echo Found abidistfiles in peer directory;		\
	else							\
		echo ;						\
		echo " - abidistfiles not found";			\
		echo "  'make canonical', 'make install', and 'make distribution' require ";	\
		echo "  the abidistfiles/ package be available as a peer to the abi/ tree.";	\
		echo ;						\
		exit 1;						\
	fi

# copy the various dictionary hash files, only used in non-pspell builds
ifeq ($(ABI_OPT_PSPELL),1)
	echo "Using Pspell build, not installing ispell hash files"
else
	# We currently only ship american.hash
	@$(subst xxxx,$(CANONDIR)/dictionary,$(VERIFY_DIRECTORY))
	@$(ABICOPY) $(ABI_ROOT)/../abidistfiles/dictionary/$(OS_ENDIAN).american.hash $(CANONDIR)/dictionary/american.hash
	@$(ABICOPY) $(ABI_ROOT)/../abidistfiles/dictionary/*.xml $(CANONDIR)/dictionary	
endif

ifeq ($(ABI_NATIVE),unix)
# icons for X window manager use
	@$(subst xxxx,$(CANONDIR)/icons,$(VERIFY_DIRECTORY))
	(cd $(ABI_ROOT)/../abidistfiles/icons; cp abi* $(CANONDIR)/icons)
endif

	@$(subst xxxx,$(CANONDIR)/clipart,$(VERIFY_DIRECTORY))
	@$(ABICOPY) $(ABI_ROOT)/../abidistfiles/clipart/*.png $(CANONDIR)/clipart

	@$(subst xxxx,$(CANONDIR)/templates,$(VERIFY_DIRECTORY))
	@$(ABICOPY) $(ABI_ROOT)/../abidistfiles/templates/*.awt* $(CANONDIR)/templates

##################################################################
## Targets for installs.  There is a generic install method, for
## developers mostly (make install), which just puts things in
## $prefix/AbiSuite and $prefix/bin.  /usr/local is the default
## $prefix value.
##
## Also here are make_<dist> targets for supported distribution
## installations.  Each of these targets passes the appropriate
## targets down to the packaging levels.  These targets are for
## use with automated packaging systems only; real people should
## never need to use these unless they have a good reason.

install_redhat: build canonical
ifeq ($(ABI_NATIVE),unix)
	$(MAKE) -C pkg/$(ABIPKGDIR) install_redhat
else	
	@echo
	@echo Only Unix people do \'make install_redhat\', and even then
	@echo only very rarely.
	@echo
endif

# The generic target
install: build canonical
ifeq ($(ABI_NATIVE),unix)
	@echo
	@echo Using prefix value of [$(prefix)]...
	@echo
	@$(MAKE) prefix=$(prefix) ABI_ROOT=$(ABI_ROOT) -C pkg/$(ABIPKGDIR) install
else
	@echo
	@echo Only Unix people do \'make install\'.
	@echo
endif

##################################################################
## Target for building a distribution package from the compiled
## sources.  Since each platform has it's own quirks, the config
## files in abi/src/config/platforms/*.mk must specify which
## package script to run.  Note, some platform scripts may build
## more than one package (like Linux with .tgz, .deb, .rpm)
##
## I'm not going to set the dependency to the executable here
## because this probably needs to be a separate step anyway and
## it is already set at the /abi level.

ifneq ($(ABIPKGDIR),)
  ifeq ($(ABI_BUILD_VERSION),unnumbered)
    disttools: distribution
    distimpexp: distribution

    distribution:
	@echo 
	@echo Error -- ABI_BUILD_VERSION is not set for this build.
	@echo Error -- Set this variable before building packages
	@echo Error -- for distribution.
	@echo
	@exit 1
  else
    distribution:
	@echo Building distribution packages for $(ABIPKGDIR)...
	@$(MAKE) ABI_ROOT=$(ABI_ROOT) prefix=$(prefix) -C pkg/$(ABIPKGDIR) distribution

    disttools:
	@if [ -d $(ABI_ROOT)/../abiword-plugins ]; then \
		echo Found abiword-plugins in peer directory; \
	else \
		echo ; \
		echo " - abiword_plugins not found"; \
		echo "  'make disttools' requires the abiword-plugins/ package be available as"; \
		echo "  a peer to the abi/ tree."; \
		echo "  You can check it out of cvs by running the following command from the"; \
		echo "  same directory you checked out abi into: "; \
		echo "  cvs -d :pserver:anoncvs:anoncvs@cvs.abisource.com:/cvsroot co abiword-plugins"; \
		exit 1; \
	fi
	@echo Building tools plugins...
	@$(MAKE) ABI_ROOT=$(ABI_ROOT) prefix=$(prefix) -C $(ABI_ROOT)/../abiword-plugins/tools all
	@echo Building distribution tools plugin package for $(ABIPKGDIR)...
	@$(MAKE) ABI_ROOT=$(ABI_ROOT) prefix=$(prefix) -C pkg/$(ABIPKGDIR) disttools

    distimpexp:
	@if [ -d $(ABI_ROOT)/../abiword-plugins ]; then \
		echo Found abiword-plugins in peer directory; \
	else \
		echo ; \
		echo " - abiword_plugins not found"; \
		echo "  'make distimpexp' requires the abiword-plugins/ package be available as"; \
		echo "  a peer to the abi/ tree."; \
		echo "  You can check it out of cvs by running the following command from the"; \
		echo "  same directory you checked out abi into: "; \
		echo "  cvs -d :pserver:anoncvs:anoncvs@cvs.abisource.com:/cvsroot co abiword-plugins"; \
		exit 1; \
	fi
	@echo Building importer/exporter plugins...
	@$(MAKE) ABI_ROOT=$(ABI_ROOT) prefix=$(prefix) -C $(ABI_ROOT)/../abiword-plugins/wp/impexp all
	@echo Building distribution importer/exporter plugin package for $(ABIPKGDIR)...
	@$(MAKE) ABI_ROOT=$(ABI_ROOT) prefix=$(prefix) -C pkg/$(ABIPKGDIR) distimpexp

  endif
else
  disttools: distribution
  distimpexp: distribution
  distribution:
	@echo
	@echo Error -- No package script defined for this platform.
	@echo Error -- Please make sure ABIPKGDIR is set in
	@echo Error -- the proper 'abi/src/config/platforms/*.mk'
	@echo Error -- makefile.
	@echo
	@exit 1
endif

##################################################################
## Targets for cleaning peer libraries. 
##
## Note that all peer libraries need an opportunity to realclean, 
## but any peer library using Makefile.abi doesn't need to clean
## since all outputs were in our OBJDIR tree already.
##
## Thus, for Makefile.abi peers, you'll only see one rule here
## (which gets included in REQUIREREALCLEAN above).  Peers using
## their own autoconf magic have two rules.    

clean_ZLIB_:
	@if [ -d $(ABI_ROOT)/../zlib ]; then		\
		$(MAKE) -C $(ABI_ROOT)/../zlib clean;	\
	fi

clean_LIBPNG_:
	@if [ -d $(ABI_ROOT)/../libpng ]; then		\
		$(MAKE) -f Makefile.abi -C $(ABI_ROOT)/../libpng clean;	\
	fi

clean_PSICONV_:
	@if [ -d $(ABI_ROOT)/../psiconv ]; then		\
		$(MAKE) -C $(ABI_ROOT)/../psiconv clean;	\
	fi

clean_EXPAT_:
ifeq ($(ABI_FE), Win32)
	@if [ -d $(ABI_ROOT)/../expat ]; then		\
		$(MAKE) -f Makefile.abi -C $(ABI_ROOT)/../expat clean;	\
	fi
else
	@if [ -d $(ABI_ROOT)/../expat ]; then		\
		$(MAKE) -f Makefile -C $(ABI_ROOT)/../expat clean;	\
	fi
endif

# we have to make a realclean here so the configure script reruns
# if no makefile exists, it is already clean
clean_LIBWV_:
ifneq ($(OS_NAME),WIN32)
	@if [ -d $(ABI_ROOT)/../wv -a -f $(ABI_ROOT)/../wv/Makefile ]; then		\
		$(MAKE) -C $(ABI_ROOT)/../wv realclean;	\
	fi	
else
	$(MAKE) -fMakefile.abi -C $(ABI_ROOT)/../wv realclean;
endif

# we have to make a distclean here to ensure that the configure script reruns
# if no makefile exists, it is already clean
clean_LIBICONV_:
ifneq ($(OS_NAME),WIN32)
	@if [ -d $(ABI_ROOT)/../libiconv -a -f $(ABI_ROOT)/../libiconv/Makefile ]; then	\
		$(MAKE) -C $(ABI_ROOT)/../libiconv distclean;	\
	fi	
else
	$(MAKE) -fMakefile.abi -C $(ABI_ROOT)/../libiconv clean;
	$(RM) $(ABI_ROOT)/../libiconv/lib/config.h;
	$(RM) $(ABI_ROOT)/../libiconv/libcharset/config.h;
	$(RM) $(ABI_ROOT)/../libiconv/include/iconv.h;
endif

clean_POPT_:
ifeq ($(OS_NAME),WIN32)
	@if [ -d $(ABI_ROOT)/../popt ]; then              \
		$(MAKE) -f Makefile.abi -C $(ABI_ROOT)/../popt clean;     \
		$(RM)	$(ABI_ROOT)/../popt/config.h;	\
	fi
endif

realclean_PSICONV_:
	@if [ -d $(ABI_ROOT)/../psiconv -a -f $(ABI_ROOT)/../psiconv/psiconv/Makefile ]; then	\
		$(MAKE) -C $(ABI_ROOT)/../psiconv distclean;	\
	fi	

realclean_EXPAT_:
ifneq ($(ABI_FE),Win32)
	@if [ -d $(ABI_ROOT)/../expat -a -f $(ABI_ROOT)/../expat/lib/Makefile ]; then	\
		$(MAKE) -C $(ABI_ROOT)/../expat distclean;	\
	fi	
else
	@if [ -d $(ABI_ROOT)/../expat ]; then		\
		$(MAKE) -f Makefile.abi -C $(ABI_ROOT)/../expat clean;	\
		$(RM) $(ABI_ROOT)/../expat/config.h;	\
		$(RM) $(ABI_ROOT)/../expat/lib/config.h;	\
	fi
endif

clean_ABI_:
	rm -rf $(OUTDIR) $(DIST)

=== abiword-plugins/wp/abicapi/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../abi
include $(ABI_ROOT)/src/config/abi_defs.mk

DIRS=			xp

LIBRARY_NAME=		AbiCAPI
LIBRARY_VERSION=	$(ABI_VERSION)
TARGETS=		$(PLUGIN)

OBJS=				$(OBJDIR)/abicapi.$(OBJ_SUFFIX) 	\
				$(OBJDIR)/abicapi_app.$(OBJ_SUFFIX) 	\
				$(OBJDIR)/abicapi_frame.$(OBJ_SUFFIX) 	\
				$(OBJDIR)/abicapi_impexp.$(OBJ_SUFFIX)	\
				$(OBJDIR)/abicapi_doc.$(OBJ_SUFFIX)

ifeq ($(ABI_FE), Win32)
ifeq ($(OS_NAME), MINGW32)
	EXTRA_LIBS+=  -lAbiWord.dll
else
	EXTRA_LIBS+=  $(BINDIR)/AbiWord.$(LIB_SUFFIX) 
endif
endif

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== abi/src/pkg/hpux/Makefile ===
#! gmake

## AbiSource Applications
## Copyright (C) 1999 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../..
include $(ABI_ROOT)/src/config/abi_defs_wp.mk
include $(ABI_ROOT)/src/config/abi_rules.mk

##################################################################
## This makefile serves two purposes.  It exposes an "install" 
## target, wherein it installs AbiSuite applications.  The
## eventual layout of these files is $(prefix)/AbiSuite, except
## for symbolic links in $(prefix/bin.  /usr/local is a good value
##  to use for $(prefix), and it is the default.
## 
## If you're looking to build distribution packages, this Makefile
## also provides the "distribution" target, which depends on 
## installation targets specific to the distribution layouts
## it will build.  These targets might be named "install_redhat"
## or "install_debian"; they place the program components into places
## their respective distributions would expect to find them.  These
## targets will be called by package tools like RPM.

# The plain "install" common to all Unix targets
install:
	@TARGET=$(prefix)/share/AbiSuite-2.2 BINDIR=$(prefix)/bin SRCDIR=$(OUTDIR) \
		SCRIPTDIR=$(ABI_ROOT)/src/pkg/common/unix/scripts \
		$(ABI_ROOT)/src/pkg/common/unix/scripts/install.sh

########################################################################

# If tgz is inside $ABI_DIST_TARGET
ifneq ($(findstring tgz,$(ABI_DIST_TARGET)),)
        DIST_DEPS += tgz
endif

# If tbz is inside $ABI_DIST_TARGET
ifneq ($(findstring tbz,$(ABI_DIST_TARGET)),)
        DIST_DEPS += tbz
endif

# If depot is inside $ABI_DIST_TARGET
ifneq ($(findstring depot,$(ABI_DIST_TARGET)),)
        DIST_DEPS += depot
endif


# Tgz target is provided by a common Unix makefile

include $(ABI_ROOT)/src/pkg/common/unix/tgz.mk
include $(ABI_ROOT)/src/pkg/common/unix/tbz.mk

depot: install
	@echo "Creating native HP-UX SD depot..."
	@echo "Creating package at $(DIST)/abiword-$(ABI_BUILD_VERSION).depot"
	@mkdir -p $(DIST)
	@( cd $(ABI_ROOT)/src/pkg/hpux/scripts/ ;                         \
		TARGET=$(prefix)/share/AbiSuite-2.2 BINDIR=$(prefix)/bin            \
			./hpux.abiword.mkdepot.sh                         \
				$(ABI_BUILD_VERSION)                      \
				$(DIST)/abiword-$(ABI_BUILD_VERSION).depot )

########################################################################

# This target should build all packages defined for this platform
distribution: $(DIST_DEPS)

=== abi/src/pkg/linux/Makefile ===
#! gmake

## AbiSource Applications
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../..
include $(ABI_ROOT)/src/config/abi_defs_wp.mk
include $(ABI_ROOT)/src/config/abi_rules.mk

##################################################################
## This makefile serves two purposes.  It exposes an "install" 
## target, wherein it installs AbiSuite applications.  The
## eventual layout of these files is $(prefix)/AbiSuite, except
## for symbolic links in $(prefix/bin.  /usr/local is a good value
##  to use for $(prefix), and it is the default.
## 
## If you're looking to build distribution packages, this Makefile
## also provides the "distribution" target, which depends on 
## installation targets specific to the distribution layouts
## it will build.  These targets might be named "install_redhat"
## or "install_debian"; they place the program components into places
## their respective distributions would expect to find them.  These
## targets will be called by package tools like RPM.

# The plain "install" common to all Unix targets
install:
	@TARGET=$(prefix)/share/AbiSuite-2.4 BINDIR=$(prefix)/bin SRCDIR=$(OUTDIR) \
		SCRIPTDIR=$(ABI_ROOT)/src/pkg/common/unix/scripts \
		$(ABI_ROOT)/src/pkg/common/unix/scripts/install.sh 

########################################################################

install_redhat:
	@strip $(OUTDIR)/bin/AbiWord-2.4
	@TARGET=/usr/share/abisuite BINDIR=/usr/bin SRCDIR=$(OUTDIR) \
		DOCDIR=/usr/doc LIBDIR=/usr/lib \
		SCRIPTDIR=$(ABI_ROOT)/src/pkg/common/unix/scripts \
		$(ABI_ROOT)/src/pkg/linux/scripts/install_redhat.sh 

########################################################################

RPM_LOC = $(shell [ -x /usr/bin/rpm ] && echo 1 || [ -x /bin/rpm ] && echo 1)
ALIEN_LOC = $(shell [ -x /usr/bin/alien ] && echo 1)

# If tgz is inside $ABI_DIST_TARGET
ifneq ($(findstring tgz,$(ABI_DIST_TARGET)),)
	DIST_DEPS += tgz
endif

# If tbz is inside $ABI_DIST_TARGET
ifneq ($(findstring tbz,$(ABI_DIST_TARGET)),)
	DIST_DEPS += tbz
endif

# If rpm is inside $ABI_DIST_TARGET _and_ rpm is found locally
ifneq ($(findstring rpm,$(ABI_DIST_TARGET)),)
ifneq ($(RPM_LOC),)
	DIST_DEPS += rpm
else
bogus1:
	@echo ""
	@echo "Skipping RPM packaging: [/usr/bin/rpm] not found."
	@echo ""
endif
endif

# If deb is inside $ABI_DIST_TARGET _and_ alien is found locally
ifneq ($(findstring deb,$(ABI_DIST_TARGET)),)
#ifneq ($(ALIEN_LOC),)
	DIST_DEPS += deb
#else
#bogus2:
#	@echo ""
#	@echo "Skipping DEB packaging: [/usr/bin/alien] not found."
#	@echo ""
#endif
endif

# If slp is inside $ABI_DIST_TARGET _and_ alien is found locally
ifneq ($(findstring slp,$(ABI_DIST_TARGET)),)
ifneq ($(ALIEN_LOC),)
	DIST_DEPS += slp
else
bogus3:
	@echo ""
	@echo "Skipping SLP packaging: [/usr/bin/alien] not found."
	@echo ""
endif
endif

# If rpm was NOT in the dist target list, but deb _or_ slp was,
# we wipe the RPM so it will not conflict with the RPM generated
# by another machine (which was explicitly told to create one).

ifeq ($(findstring rpm,$(ABI_DIST_TARGET)),)
ifneq ($(findstring slp,$(ABI_DIST_TARGET)),)
	WIPE_RPM=1
endif
endif

########################################################################

# This target builds a huge tarball of EVERY component from CVS needed
# to build the AbiSuite tree.

#DEBIAN_ROOT is the root of all work being done for debian build
#DEB_ROOT is the root of all work being done for just the deb archive
DEBIAN_ROOT:=$(ABI_ROOT)/dist/abisuite-$(ABI_BUILD_VERSION)
DEB_ROOT:=$(ABI_ROOT)/dist/abisuite-$(ABI_BUILD_VERSION)/debian/tmp



PACK_ROOT:=$(ABI_ROOT)/../abiword-$(ABI_BUILD_VERSION)

MODULE_LIST=abi expat unixfonts abidistfiles libpng zlib wv abiword-plugins abispell

# The following only works for RPM3.x
#RPM_SOURCE_DIR=$(strip $(shell grep "topdir:" /etc/rpmrc | sed "s/.*topdir://"))

# This should work for RPM 3.x and RPM 4.x on stock redhat systems
RPM_SOURCE_DIR=/usr/src/redhat


# TODO : should this be specified outside the build process?  
ifndef $(ABI_RELEASE_NUMBER)
  ABI_RELEASE_NUMBER=1
endif

pack_rpm:
	@rm -rf $(PACK_ROOT)
	@echo "Making source pack in directory [$(PACK_ROOT)]..."
	@mkdir -p $(PACK_ROOT)
	@(cd $(ABI_ROOT)/..; tar --exclude=CVS --exclude=AbiWord.exe.MANIFEST -cf - $(MODULE_LIST)) | \
		(cd $(PACK_ROOT); tar xf -)
#	@rm -f $(RPM_SOURCE_DIR)/SOURCES/abiword-$(ABI_BUILD_VERSION).tar.gz
	@(cd $(PACK_ROOT)/..; tar zcf $(RPM_SOURCE_DIR)/SOURCES/abiword-$(ABI_BUILD_VERSION).tar.gz \
		 abiword-$(ABI_BUILD_VERSION))
	@rm -rf $(PACK_ROOT)

########################################################################

# These targets actually do all the heavy lifting of packaging.

RPM_ARCH=$(OS_ARCH)

rpm: pack_rpm
# A tarball is already sitting in /usr/src/redhat/SOURCES (or thereabouts)
# so rip the spec template through some sed magic and run with it.
	@$(subst xxxx,$(DIST),$(VERIFY_DIRECTORY))	
	@echo "Exporting spec file to [$(RPM_SOURCE_DIR)/SPECS]..."
	@(sed -e 's/__ABI_BUILD_VERSION__/$(ABI_BUILD_VERSION)/' \
	      -e 's/__ABI_RELEASE_NUMBER__/$(ABI_RELEASE_NUMBER)/' \
	      -e 's/__UNIX_CAN_BUILD_STATIC__/$(UNIX_CAN_BUILD_STATIC)/' \
	      -e 's/__ABI_OPT_DEBUG__/$(ABI_OPT_DEBUG)/' \
	      -e 's/__ABI_OPT_GNOME__/$(ABI_OPT_GNOME)/' \
	      -e 's/__ABI_OPT_PERL__/$(ABI_OPT_PERL)/' \
	      -e 's/__ABI_OPT_LIBJPEG__/$(ABI_OPT_LIBJPEG)/' \
	      -e 's/__ABI_OPT_PEER_EXPAT__/$(ABI_OPT_PEER_EXPAT)/' \
	      -e 's/__ABI_OPT_OPTIMIZE__/$(ABI_OPT_OPTIMIZE)/' \
	      -e 's/__ABI_OPT_PSPELL__/$(ABI_OPT_PSPELL)/' \
	      -e 's/__ABI_OPT_XFT__/$(ABI_OPT_XFT)/' \
	      -e 's/__ABI_BUILD_PACKAGER__/$(ABI_BUILD_PACKAGER)/' \
	      -e 's/__ABI_PLUGINS_TOOLS__/$(ABI_PLUGINS_TOOLS)/' \
	      -e 's/__ABI_PLUGINS_IMPEXP__/$(ABI_PLUGINS_IMPEXP)/' \
	  rpm/abiword.spec-template > $(RPM_SOURCE_DIR)/SPECS/abiword-$(ABI_BUILD_VERSION).spec)
	@echo "Producing RPM..."
	rpm -ba $(RPM_SOURCE_DIR)/SPECS/abiword-$(ABI_BUILD_VERSION).spec
	mv $(RPM_SOURCE_DIR)/RPMS/$(RPM_ARCH)/abiword-*$(ABI_BUILD_VERSION)-$(ABI_RELEASE_NUMBER).$(RPM_ARCH).rpm $(DIST)
	mv $(RPM_SOURCE_DIR)/SRPMS/abiword-$(ABI_BUILD_VERSION)-$(ABI_RELEASE_NUMBER).src.rpm $(DIST)

deb::
	@echo "Producing Deb..."
	@rm -rf $(DEBIAN_ROOT)
	@echo "Building Tree in directory [$(DEBIAN_ROOT)]..."
#sources are put in /usr/bin because /usr/X11R6/bin is reserved for
#programs that are a part of the X distribution.  FHS-compliance
	@install -m 755 -d $(DEB_ROOT)/DEBIAN
	@install -m 755 -d $(DEB_ROOT)/usr/bin
	@install -m 755 -d $(DEB_ROOT)/usr/share/doc/abiword/examples
	@install -m 755 -d $(DEB_ROOT)/usr/share/abisuite/fonts
	@install -m 755 -d $(DEB_ROOT)/usr/share/abisuite/dictionary
	@install -m 755 -d $(DEB_ROOT)/usr/share/abisuite/icons
	@install -m 755 -d $(DEB_ROOT)/usr/share/abisuite/AbiWord/strings
	@install -m 755 -d $(DEB_ROOT)/usr/share/abisuite/AbiWord/help
	@install -m 755 -d $(DEB_ROOT)/usr/lib/menu
	@install -m 755 -d $(DEB_ROOT)/usr/share/man/man1
	@chmod -R 755 $(DEB_ROOT)/.
#install binaries
	@install -s -m 755 $(OUTDIR)/bin/*_d $(DEB_ROOT)/usr/bin/.
	@install -m 755 deb/AbiWord $(DEB_ROOT)/usr/bin/.
	@ln -s AbiWord $(DEB_ROOT)/usr/bin/abiword
#install the documentation
	@install -m 644 deb/AbiWord-2.1.0 $(DEB_ROOT)/usr/share/man/man1/.
	@ln -s AbiWord-2.1.0.gz $(DEB_ROOT)/usr/share/man/man1/AbiWord.1.gz
	@ln -s AbiWord-2.1.0.gz $(DEB_ROOT)/usr/share/man/man1/abiword.1.gz
	@install -m 644 deb/copyright $(DEB_ROOT)/usr/share/doc/abiword/.
	@install -m 644 deb/changelog $(DEB_ROOT)/usr/share/doc/abiword/changelog.Debian
	@install -m 644 $(OUTDIR)/AbiSuite/readme.txt $(DEB_ROOT)/usr/share/doc/abiword/README
	@gzip -9 $(DEB_ROOT)/usr/share/doc/abiword/README
	@gzip -9 $(DEB_ROOT)/usr/share/doc/abiword/changelog.Debian
	@gzip -9 $(DEB_ROOT)/usr/share/man/man1/AbiWord-2.1.0
#install the share stuff
	@cp -R $(OUTDIR)/AbiSuite/icons/* $(DEB_ROOT)/usr/share/abisuite/icons/.
	@cp -R $(OUTDIR)/AbiSuite/fonts/* $(DEB_ROOT)/usr/share/abisuite/fonts/.
	@cp -R $(OUTDIR)/AbiSuite/AbiWord/strings/* $(DEB_ROOT)/usr/share/abisuite/AbiWord/strings/.
	@cp -R $(OUTDIR)/AbiSuite/AbiWord/help/* $(DEB_ROOT)/usr/share/abisuite/AbiWord/help/.
	@ln -s ../../../lib/ispell/default.hash $(DEB_ROOT)/usr/share/abisuite/dictionary/american.hash
#other debian stuff
	@install -m 644 deb/menu $(DEB_ROOT)/usr/lib/menu/abiword
	@cp deb/control $(DEBIAN_ROOT)/debian/.
	@cp deb/postinst $(DEB_ROOT)/DEBIAN/.
	@cp deb/postrm $(DEB_ROOT)/DEBIAN/.
	@cp deb/prerm $(DEB_ROOT)/DEBIAN/.
	@cp deb/changelog $(DEBIAN_ROOT)/debian/.
	(cd $(DEBIAN_ROOT);dpkg-shlibdeps $(DEB_ROOT)/usr/bin/*_d)
	(cd $(DEBIAN_ROOT);dpkg-gencontrol -v$(ABI_BUILD_VERSION) -isp)
	(fakeroot $(ABI_ROOT)/src/pkg/linux/scripts/install_debian.sh $(DEB_ROOT) $(ABI_ROOT)/dist/abisuite-$(ABI_BUILD_VERSION))
	@mv $(DEBIAN_ROOT)/*.deb $(ABI_ROOT)/dist/

# We're using alien to convert from RPM to DEB package
deb_old: rpm
	@echo "Producing DEB..."
	@$(subst xxxx,$(DIST),$(VERIFY_DIRECTORY))	
	(cd $(DIST); alien --to-deb -c -k abisuite-$(ABI_BUILD_VERSION)-$(ABI_RELEASE_NUMBER).$(OS_ARCH).rpm)

# We're using alien to convert from RPM to SLP package
slp: rpm
	@echo "Producing SLP..."
	@$(subst xxxx,$(DIST),$(VERIFY_DIRECTORY))	
	(cd $(DIST); alien --to-slp -c -k abisuite-$(ABI_BUILD_VERSION)-$(ABI_RELEASE_NUMBER).$(OS_ARCH).rpm)

# tgz target is provided by a common Unix makefile
include $(ABI_ROOT)/src/pkg/common/unix/tgz.mk

# tbz target is provided by a common Unix makefile
include $(ABI_ROOT)/src/pkg/common/unix/tbz.mk

# This target should build all packages 
distribution: $(DIST_DEPS)
	echo $(DIST_DEPS)
ifeq ($(WIPE_RPM),1)
	@rm $(DIST)/abisuite-$(ABI_BUILD_VERSION)-$(ABI_RELEASE_NUMBER).$(OS_ARCH).rpm
endif

=== abi/src/wp/impexp/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../..
include $(ABI_ROOT)/src/config/abi_defs_wp.mk

DIRS=		xp $(ABI_NATIVE)
LIBRARY_NAME=           AbiImpExp
LIBRARY_VERSION=        $(ABI_VERSION)
TARGETS=                $(LIBRARY)

PLATFORM_OBJS= $(OBJDIR)/ie_impexp_Register$(ABI_FE).$(OBJ_SUFFIX)

ifeq ($(ABI_NATIVE), unix)
	ifeq ($(ABI_OPT_GNOME),1)
		PLATFORM_OBJS+=			$(OBJDIR)/ie_impexp_Register$(ABI_GNOME_PREFIX).$(OBJ_SUFFIX)
	endif
endif

OBJS=	$(PLATFORM_OBJS)	\
	$(OBJDIR)/ie_impexp_Register.$(OBJ_SUFFIX)                  \
        $(OBJDIR)/ie_exp.$(OBJ_SUFFIX)                              \
        $(OBJDIR)/ie_exp_AbiWord_1.$(OBJ_SUFFIX)                    \
        $(OBJDIR)/ie_exp_AWT.$(OBJ_SUFFIX)                          \
        $(OBJDIR)/ie_exp_GZipAbiWord.$(OBJ_SUFFIX)                  \
        $(OBJDIR)/ie_exp_HTML.$(OBJ_SUFFIX)                         \
        $(OBJDIR)/ie_exp_Text.$(OBJ_SUFFIX)                         \
        $(OBJDIR)/ie_exp_RTF.$(OBJ_SUFFIX)                          \
        $(OBJDIR)/ie_exp_RTF_AttrProp.$(OBJ_SUFFIX)                 \
        $(OBJDIR)/ie_exp_RTF_listenerGetProps.$(OBJ_SUFFIX)         \
        $(OBJDIR)/ie_exp_RTF_listenerWriteDoc.$(OBJ_SUFFIX)         \
        $(OBJDIR)/ie_imp.$(OBJ_SUFFIX)                              \
        $(OBJDIR)/ie_imp_XHTML.$(OBJ_SUFFIX)                        \
        $(OBJDIR)/ie_imp_XML.$(OBJ_SUFFIX)                          \
        $(OBJDIR)/ie_imp_AbiWord_1.$(OBJ_SUFFIX)                    \
        $(OBJDIR)/ie_imp_GZipAbiWord.$(OBJ_SUFFIX)                  \
        $(OBJDIR)/ie_imp_MsWord_97.$(OBJ_SUFFIX)                    \
        $(OBJDIR)/ie_imp_RTF.$(OBJ_SUFFIX)                          \
        $(OBJDIR)/ie_imp_RTFParse.$(OBJ_SUFFIX)                     \
	$(OBJDIR)/ie_imp_RTFObjectsAndPicts.$(OBJ_SUFFIX)	    \
	$(OBJDIR)/ie_imp_Text.$(OBJ_SUFFIX)                         \
        $(OBJDIR)/ie_imp_PasteListener.$(OBJ_SUFFIX)                \
        $(OBJDIR)/ie_imp_GraphicAsDocument.$(OBJ_SUFFIX)            \
        $(OBJDIR)/ie_impGraphic.$(OBJ_SUFFIX)                       \
        $(OBJDIR)/ie_impGraphic_PNG.$(OBJ_SUFFIX)                   \
        $(OBJDIR)/ie_impGraphic_SVG.$(OBJ_SUFFIX)                   \
        $(OBJDIR)/ie_FileInfo.$(OBJ_SUFFIX)                         \
	$(OBJDIR)/ie_Table.$(OBJ_SUFFIX) 			    \
	$(OBJDIR)/ie_mailmerge.$(OBJ_SUFFIX)			    \
	$(OBJDIR)/ie_TOC.$(OBJ_SUFFIX)

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== abiword-plugins/tools/aiksaurus/unix/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../../abi
include $(ABI_ROOT)/src/config/abi_defs.mk

include $(ABI_ROOT)/src/config/abi_rules.mk

=== abiword-plugins/tools/aiksaurus/xp/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../../abi
include $(ABI_ROOT)/src/config/abi_defs.mk

TARGETS=			$(OBJS)
CPPSRCS= 			AiksaurusABI.cpp

CFLAGS += -DABI_DLL

ifeq ($(ABI_FE), Win32)
# common to all Win32 compilers

# compiler (MinGW, MSVC, etc) specific
ifeq ($(OS_NAME),MINGW32)
else
	OS_CFLAGS+=-GX
endif
endif


include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== abiword-plugins/wp/impexp/OpenWriter/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../../abi
include $(ABI_ROOT)/src/config/abi_defs.mk

DIRS=				xp

LIBRARY_NAME=		AbiOpenWriter
LIBRARY_VERSION=	$(ABI_VERSION)
TARGETS=			$(PLUGIN)

OBJS=				$(OBJDIR)/ie_impexp_OpenWriter.$(OBJ_SUFFIX)	\
				$(OBJDIR)/ie_imp_OpenWriter.$(OBJ_SUFFIX)	\
				$(OBJDIR)/ie_exp_OpenWriter.$(OBJ_SUFFIX)

ifeq ($(ABI_FE), Win32)
ifeq ($(OS_NAME), MINGW32)
	EXTRA_LIBS+=  -lAbiWord.dll
	EXTRA_LIBS+=  $(ABI_GSF_LIB)
else
	OS_LIBS= kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib uuid.lib comctl32.lib ole32.lib oleaut32.lib 
	EXTRA_LIBS+=  $(BINDIR)/AbiWord.$(LIB_SUFFIX) 
	EXTRA_LIBS+=  $(ABI_ROOT)/../libs/libgsf/libgsf.$(LIB_SUFFIX)
	EXTRA_LIBS+=  $(ABI_ROOT)/../libs/glib-2.2/lib/glib-2.0.$(LIB_SUFFIX)
	EXTRA_LIBS+=  $(ABI_ROOT)/../libs/glib-2.2/lib/gobject-2.0.$(LIB_SUFFIX)
#	EXTRA_LIBS+=  $(OBJDIR)/libAbi_zlib_s.$(LIB_SUFFIX)
	ABI_APPLIBS=  Abi_zlib
endif
endif

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== abiword-plugins/wp/impexp/bz2abw/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../../abi
include $(ABI_ROOT)/src/config/abi_defs.mk

DIRS=				xp

LIBRARY_NAME=		AbiBZ2Abw
LIBRARY_VERSION=	$(ABI_VERSION)
TARGETS=			$(PLUGIN)

OBJS=				$(OBJDIR)/ie_impexp_BZ2Abw.$(OBJ_SUFFIX)

ifeq ($(ABI_FE), Win32)
  ifeq ($(OS_NAME), MINGW32)
	EXTRA_LIBS+=	-lAbiWord.dll
	EXTRA_LIBS+=	-lbz2
  else
	EXTRA_LIBS+=	$(BINDIR)/AbiWord.$(LIB_SUFFIX) 
	EXTRA_LIBS+=	$(ABI_ROOT)/../libs/bzip2/libbz2.$(LIB_SUFFIX)
  endif
else
	EXTRA_LIBS = -lbz2
endif

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== abiword-plugins/wp/impexp/xsl-fo/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../../abi
include $(ABI_ROOT)/src/config/abi_defs.mk

DIRS=				xp

LIBRARY_NAME=		AbiXSLFO
LIBRARY_VERSION=	$(ABI_VERSION)
TARGETS=			$(PLUGIN)

OBJS=				$(OBJDIR)/ie_exp_XSL-FO.$(OBJ_SUFFIX) \
					$(OBJDIR)/ie_imp_XSL-FO.$(OBJ_SUFFIX) \
					$(OBJDIR)/ie_impexp_XSL-FO.$(OBJ_SUFFIX) 	

OBJS+=              $(OBJDIR)/ut_map.$(OBJ_SUFFIX) \
					$(OBJDIR)/ut_rbtree.$(OBJ_SUFFIX)


ifeq ($(ABI_FE), Win32)
ifeq ($(OS_NAME), MINGW32)
	EXTRA_LIBS+=  -lAbiWord.dll
else
	EXTRA_LIBS+=  $(BINDIR)/AbiWord.$(LIB_SUFFIX) 
endif
endif

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== abiword-plugins/wp/scripts/shell/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../../abi
include $(ABI_ROOT)/src/config/abi_defs.mk

DIRS=				xp

LIBRARY_NAME=		AbiScriptHappy
LIBRARY_VERSION=	$(ABI_VERSION)
TARGETS=			$(PLUGIN)

OBJS=				$(OBJDIR)/ScriptHappy.$(OBJ_SUFFIX)

ifeq ($(ABI_FE), Win32)
	EXTRA_LIBS+=	$(OBJDIR)/abi_ver.$(OBJ_SUFFIX)
#	EXTRA_LIBS+=	$(OBJDIR)/libAbiUtil_s.$(LIB_SUFFIX)

ifeq ($(OS_NAME), MINGW32)
	EXTRA_LIBS+=	-lAbiWord.dll
else
	DIRS+= 		win
	OBJS+= 		$(OBJDIR)/fakepopen.$(OBJ_SUFFIX)
	EXTRA_LIBS+=	$(BINDIR)/AbiWord.$(LIB_SUFFIX)
	OS_LIBS+=		user32.lib
endif
endif

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== abi/src/af/gr/xp/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../..

include $(ABI_ROOT)/src/config/abi_defs.mk

CPPSRCS=		gr_CharWidths.cpp		\
			gr_CharWidthsCache.cpp		\
			gr_DrawArgs.cpp			\
			gr_Graphics.cpp			\
			gr_ContextGlyph.cpp		\
			gr_RenderInfo.cpp		\
			gr_Transform.cpp		\
			gr_Image.cpp			\
			gr_VectorImage.cpp		\
			gr_Caret.cpp			\
			gr_Painter.cpp \
			gr_ContextGlyph.cpp \
			gr_RenderInfo.cpp \
	                gr_EmbedManager.cpp


TARGETS=		$(OBJS)

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== abi/src/pkg/maemo/debian/control ===
Source: abiword
Section: editors
Priority: optional
Maintainer: Rodrigo Parra Novo <rodrigo.novo@indt.org.br>
Uploaders: Rodrigo Parra Novo <rodrigo.novo@indt.org.br>
Build-Depends: debhelper (>> 4.0.0), libfribidi-dev, libglib2.0-dev, libgtk2.0-dev, libjpeg62-dev, libpng12-dev, libreadline4-dev
Standards-Version: 3.6.1

Package: abiword
Section: editors
Architecture: any
Description: WYSIWYG word processor for the Maemo Development Platform
 Maemo Word Processor is a complete Word Processing application for the
 Maemo Development Platform. AbiWord is Distributed under GPL, 
 copyright 2005 Dominic Lachowicz and others. The Maemo port is by INdT.org.br.
